#pragma once
#include "Graphics.h"

class Rect
{
	static constexpr int minWidth = 5;
	static constexpr int minHeight = 5;

public:
	void Update( int moveX, int moveY, int growX, int growY );
	void Draw( Graphics& gfx ) const;

private:
	bool CanMove( int amount, int screenEdge );
	bool CanGrow( int amount, int screenEdge );
	int left = (Graphics::ScreenWidth - 50) / 2;
	int right = (Graphics::ScreenWidth + 50) / 2;
	int top = (Graphics::ScreenHeight - 50) / 2;
	int bottom = (Graphics::ScreenHeight + 50) / 2;

};